import { Token } from 'typedi';
export declare enum DecoratorType {
    STATE = 1,
    ACTION = 2,
    MUTATION = 3,
    GETTER = 4
}
export declare type DecoratorMap = Map<string, DecoratorType>;
export declare type InjectType = ((type?: any) => Function) | string | Token<any>;
export interface Injection {
    typeOrName: () => any;
    propertyName: string;
    index?: number;
}
export interface ModuleOptions {
    namespace: string;
}
